#include "it_conf.h"

void it_conf(void)
	{
	NVIC_InitTypeDef NVIC_InitStruct;
		
	//konfiguracja NVIC_InitStruct
	NVIC_InitStruct.NVIC_IRQChannel = TIM2_IRQn; //przerwanie od Timer2, ktory wyzwala DAC
	NVIC_InitStruct.NVIC_IRQChannelPriority = 0;
	NVIC_InitStruct.NVIC_IRQChannelCmd = ENABLE;
	NVIC_Init(&NVIC_InitStruct);
	NVIC_EnableIRQ(TIM2_IRQn);
	
	EXTI_InitTypeDef EXTI_InitStruct;

	EXTI_StructInit(&EXTI_InitStruct);

	EXTI_InitStruct.EXTI_Line = EXTI_Line0; //dodatkowy przycisk
	EXTI_InitStruct.EXTI_Mode = EXTI_Mode_Interrupt;
	EXTI_InitStruct.EXTI_Trigger = EXTI_Trigger_Falling;
	EXTI_InitStruct.EXTI_LineCmd = ENABLE;
	EXTI_Init(&EXTI_InitStruct);

	EXTI_InitStruct.EXTI_Line = EXTI_Line1; //przycisk enkodera
	EXTI_InitStruct.EXTI_Mode = EXTI_Mode_Interrupt;
	EXTI_InitStruct.EXTI_Trigger = EXTI_Trigger_Falling;
	EXTI_InitStruct.EXTI_LineCmd = ENABLE;
	EXTI_Init(&EXTI_InitStruct);

	EXTI_InitStruct.EXTI_Line = EXTI_Line2; //enkoder_A
	EXTI_InitStruct.EXTI_Mode = EXTI_Mode_Interrupt;
	EXTI_InitStruct.EXTI_Trigger = EXTI_Trigger_Falling;
	EXTI_InitStruct.EXTI_LineCmd = ENABLE;
	EXTI_Init(&EXTI_InitStruct);

	NVIC_InitStruct.NVIC_IRQChannel = EXTI0_1_IRQn; //przerwanie od przyciskowa
	NVIC_InitStruct.NVIC_IRQChannelPriority = 1;
	NVIC_InitStruct.NVIC_IRQChannelCmd = ENABLE;
	NVIC_Init(&NVIC_InitStruct);
	NVIC_EnableIRQ(EXTI0_1_IRQn);

	NVIC_InitStruct.NVIC_IRQChannel = EXTI2_3_IRQn; //przerwanie od enkodera
	NVIC_InitStruct.NVIC_IRQChannelPriority = 1;
	NVIC_InitStruct.NVIC_IRQChannelCmd = ENABLE;
	NVIC_Init(&NVIC_InitStruct);
	NVIC_EnableIRQ(EXTI2_3_IRQn);

		
	}
	



